#DataBrowser
UserControl
C
Columns
p
String[]

Control
p
b

GridView
r
GridView

Header
p
b

Orientation
p
i

_Properties
C
s
*,Control=True,Columns,Header=True,Orientation{Align.Bottom;Left;Right;Top}=Bottom
_new
m


Refresh
m


#DataCombo
UserControl
C
:Validate
:

(Value)v
Value
p
v

:Click
:


Field
p
s

Table
p
s

Filter
p
s

Display
p
s

Valid
r
b

Modified
r
b

ReadOnly
p
b

All
p
s

_Properties
C
s
*,ReadOnly,Field,Table,Filter,Display,All
_DrawWith
C
s
ComboBox
_DefaultSize
C
s
24,3
_new
m


Refresh
m

[(bReload)b]
SetFocus
m


ComboBox_GotFocus
m


ComboBox_Click
m


GetFilter
m
s

#DataControl
UserControl
C
:Validate
:

(Value)v
Value
p
v

Field
p
s

Valid
r
b

Modified
r
b

_Properties
C
s
*,Field
_DrawWith
C
s
TextBox
_DefaultSize
C
s
24,3
_new
m


SetFocus
m


Refresh
m


#DataSource
Panel
C
Table
p
s

Filter
p
s

Modified
r
b

Current
r
Variant[]

Index
r
i

ReadOnly
p
b

Sort
p
s

_Properties
C
s
*,Table,Filter,ReadOnly
_new
m


GetKeys
m
String[]

Save
m
b
[(bMessage)b]
MoveFirst
m
b

MovePrevious
m
b

MoveNext
m
b

MoveLast
m
b

MoveTo
m
b
(iIndex)i
Refresh
m


Cancel
m


Create
m

[(bRefresh)b]
_GetInfo
m
DataField
(Key)s
Remove
m
b

_get
m
v
(Key)s
_GetTable
m
DataTable

#DataView
UserControl
C
_Properties
C
s
*,Mode{Select.None;Single;Multi}=None,Header{GridView.None;Horizontal;Vertical;Both}=Both,Grid,Highlight=True,Columns
_DrawWith
C
s
GridView
:Activate
:


Mode
p
i

Header
p
i

Grid
p
b

Highlight
p
b

Columns
p
String[]

Current
r
Variant[]

Count
r
i

Index
r
i

GridView
r
GridView

_new
m


Create
m


Refresh
m


GridView_Data
m

(Row)i(Column)i
GridView_Change
m


MoveFirst
m


MoveLast
m


MoveNext
m


MovePrevious
m


MoveTo
m

(Index)i
Remove
m
b

GridView_ColumnClick
m

(Column)i
